`timescale 10ns / 1ns
module tb;

reg clock;
reg clock25;

always  #0.5  clock   = ~clock;
always  #2.0  clock25 = ~clock25;

initial begin clock = 0; clock25 = 0; #2000 $finish; end
initial begin $dumpfile("tb.vcd"); $dumpvars(0, tb); end

// 1Мб памяти. Простой контроллер памяти
// -----------------------------------------
reg  [ 7:0] memory[1024*1024];
wire [19:0] address;
reg  [ 7:0] i_data = 1'b0;
wire [ 7:0] o_data;
wire        we;

always @(posedge clock) begin

    i_data <= memory[address];
    if (we) memory[address] <= o_data;

end
// -----------------------------------------

cpu CPU8088
(
    .clock      (clock),
    .reset_n    (1'b1),
    .locked     (1'b1),
    .address    (address),
    .i_data     (i_data),
    .o_data     (o_data),
    .we         (we)
);

endmodule
